fn property<S, U: Parsable>() -> impl Parser<S, U, Ini> {
    move |state: S, input: U| {
        separated(
            name(),                                    // ━ 1
            separator(),                               // ━ 2
            find(1.., find_any((value(), comment()))), // ━ 3
        )
        .parse(state, input)
        .map_result(|(name, values)| Ini::Property(name.into(), values))
    }
}
