//! Character matching methods that implement `Tester` for use with the `is` and `isnt` parser combinators.

#[inline]
/// Match any character.
pub fn any(_: char) -> bool {
    true
}

#[inline]
/// Match any alphabetic character.
pub fn alphabetic(character: char) -> bool {
    character.is_alphabetic()
}

#[inline]
/// Match any alphanumeric character.
pub fn alphanumeric(character: char) -> bool {
    character.is_alphanumeric()
}

#[inline]
/// Match any numeric character.
pub fn numeric(character: char) -> bool {
    character.is_numeric()
}

#[inline]
/// Match any decimal digit.
pub fn digit(character: char) -> bool {
    character.is_digit(10)
}

#[inline]
/// Match any hexidecimal digit.
pub fn hex_digit(character: char) -> bool {
    character.is_digit(16)
}

#[inline]
/// Match any whitespace character.
pub fn whitespace(character: char) -> bool {
    character.is_whitespace()
}
